# include <XBoard/XBoardInterface.h>
# include <fstream>
int main(int argc, char* argv[])
{
  std::istream* stream = &std::cin;
  if (argc > 1)
    stream = new std::ifstream(argv[1]);
  
  Alice::XBoard::XBoardInterface interface(*stream, std::cout);
  while( ! interface.shouldQuit() )
    interface.processCommand();
  return 0;
};
